Skip to main content
GET
/
v1
/
organizations
/
{id}
Retrieve an Organization
curl --request GET \
  --url https://ledger.sandbox.lerian.net/v1/organizations/{id}
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "legalName": "<string>",
  "parentOrganizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "doingBusinessAs": "<string>",
  "legalDocument": "123456789012345",
  "status": "<unknown>",
  "address": {
    "line1": "<string>",
    "zipCode": "<string>",
    "city": "<string>",
    "state": "<string>",
    "country": "<string>",
    "line2": "<string>",
    "description": "<string>"
  },
  "metadata": {},
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "deletedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Authorization
string

The authorization token. This header is required if your environment has Access Manager enabled.

Content-Type
string

The type of media of the resource. Recommended value is application/json.

X-Request-Id
string<uuid>

A unique identifier used to trace and track each request.

Path Parameters

id
string
required

The unique identifier of the Organization.

Response

Indicates that the request was successful and the response contains the expected data.

id
string<uuid>

The unique identifier of the Organization.

The legal name of the Organization.

Maximum string length: 256
parentOrganizationId
string<uuid> | null

The unique identifier of the parent Organization.

doingBusinessAs
string | null

The trade name of the Organization.

Maximum string length: 256

Official tax ID, company registration number, or other legal identification.

Maximum string length: 256
Example:

"123456789012345"

status
any
address
object

An object containing information about the address of the Organization.

metadata
object

An object containing key-value pairs to add as metadata, where the field name is the key and the field value is the value. For example, to add a Cost Center, use 'costCenter': 'BR_11101997'.

createdAt
string<date-time>

Timestamp of creation (UTC).

updatedAt
string<date-time>

Timestamp of last update (UTC).

deletedAt
string<date-time> | null

Timestamp of soft deletion, if applicable (UTC).